%define majorminor %(echo %version | cut -d. -f 1-2)

Name:          cmake
Version:       3.2.2
Release:       1mamba
Summary:       A cross-platform, open-source make system
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.cmake.org/
Source0:       http://www.cmake.org/files/v%{majorminor}/cmake-%{version}.tar.gz
Source1:       cmake-rpmmacro
Patch:         %{name}-2.4.5_use_intree_xmlrpc.patch
Patch1:        cmake-2.8.11.2-ImageMagick-6.8.patch
Patch2:        cmake-2.8.12.1-freetype-2.5.1.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libcurl-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libncurses-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gcc-c++
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libICE-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
CMake is used to control the software compilation process using simple platform and compiler independent configuration files.
CMake generates native makefiles and workspaces that can be used in the compiler environment of your choice.
CMake is quite sophisticated: it is possible to support complex environments requiring system configuration, pre-processor generation, code generation, and template instantiation.

CMake was developed by Kitware as part of the NLM Insight Segmentation and Registration Toolkit project.
The ASCI VIEWS project also provided support in the context of their parallel computation environment.
Other sponsors include the Insight, VTK, and VXL open source software communities.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
./configure \
   --prefix=%{_prefix} \
   --datadir=/share/%{name} \
   --docdir=/share/doc/%{name}-%{version} \
   --mandir=/share/man \
   --system-libs

%make VERBOSE=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#cp -a Example %{buildroot}%{_datadir}/doc/%{name}-%{version}/
#install -D -m 0644 Docs/cmake-mode.el \
#   %{buildroot}%{_datadir}/emacs/site-lisp/cmake-mode.el

install -D -m 0644 %{S:1} \
   %{buildroot}%{_sysconfdir}/rpm/macros.cmake

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.cmake
%{_bindir}/ccmake
%{_bindir}/cmake
%{_bindir}/cpack
%{_bindir}/ctest
#%{_datadir}/emacs/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
#%{_mandir}/man1/ccmake.*
#%{_mandir}/man1/cmake.*
#%{_mandir}/man1/cmakecommands.*
#%{_mandir}/man1/cmakecompat.*
#%{_mandir}/man1/cmakemodules.*
#%{_mandir}/man1/cmakepolicies.*
#%{_mandir}/man1/cmakeprops.*
#%{_mandir}/man1/cmakevars.*
#%{_mandir}/man1/cpack.*
#%{_mandir}/man1/ctest.*
%{_datadir}/aclocal/cmake.m4
%{_datadir}/doc/%{name}-%{version}/

%changelog
* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Fri Sep 12 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Sun Aug 17 2014 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sun Jan 26 2014 Automatic Build System <autodist@mambasoft.it> 2.8.12.2-1mamba
- automatic version update by autodist

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.12.1-2mamba
- patch FindFreetype.cmake module for freetype 2.5.1

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 2.8.12.1-1mamba
- automatic version update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 2.8.12-1mamba
- automatic version update by autodist

* Mon Aug 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.11.2-2mamba
- added patch for 6.Q16HDRI ImageMagick from http://public.kitware.com/Bug/view.php?id=14012

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11.2-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11.1-1mamba
- automatic version update by autodist

* Tue May 21 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11-1mamba
- automatic update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 2.8.10.2-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 2.8.10.1-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Automatic Build System <autodist@mambasoft.it> 2.8.10-1mamba
- automatic version update by autodist

* Mon Aug 20 2012 Automatic Build System <autodist@mambasoft.it> 2.8.9-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.8.8-1mamba
- automatic version update by autodist

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic update by autodist

* Fri Nov 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.3-1mamba
- update to 2.8.3

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- automatic update by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-1mamba
- update to 2.6.2

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 2.6.1-1mamba
- update to 2.6.1

* Mon May 12 2008 Aleph0 <aleph0@openmamba.org> 2.6.0-1mamba
- update to 2.6.0

* Mon Mar 03 2008 Aleph0 <aleph0@openmamba.org> 2.4.8-1mamba
- update to 2.4.8
- updated macros.cmake to permit extra directives to %%cmake

* Wed Dec 26 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-4mamba
- modify %%cmake to permit both in-source and out-of-source builds

* Sun Dec 23 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-3mamba
- add rpm macro macros.cmake (which defines %%cmake)

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-2mamba
- updated specfile
- added missing build requirements

* Mon Oct 29 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-1mamba
- update to 2.4.7

* Mon Jun 04 2007 Aleph0 <aleph0@openmamba.org> 2.4.6-2mamba
- rebuilt

* Tue Feb 27 2007 Aleph0 <aleph0@openmamba.org> 2.4.6-1qilnx
- update to version 2.4.6 by autospec
- updated X11 build requirements
- use system libraries
- added build requirements for system libraries

* Thu Dec 14 2006 Aleph0 <aleph0@openmamba.org> 2.4.5-1qilnx
- package created by autospec
